[svlug] Install Intel pro 3945 Wireless card on Dell Inspiron E1405 laptop; running SUSE10.0

Afroze Mohammad mohammad.afroze at gmail.com
Mon Sep 17 15:12:57 PDT 2007


John Conover wrote:
> Afroze Mohammad writes:
>   
>> Tin Le wrote:
>>     
>>> Did you do what the error message tell you to do? :-)
>>>
>>>   
>>>       
>>>>> Makefile:23: 'make SHELL=/bin/bash'.
>>>>>       
>>>>>           
>>> If your SHELL env var is defined to another shell, then eventhough you
>>> explicitly run bash by typing bash, make will spawn sub processes using
>>> what the SHELL env var tell it to use.  That's probably where you are
>>> getting errors.
>>>
>>> Tin Le
>>>   
>>>       
>> Hi Tin,
>>
>> Yes, I first tried 'make SHELL=/bin/bash" and I get the error again as
>>
>>     
>
> Try:
>
>     /bin/bash
>     SHELL=/bin/bash
>     export SHELL
>     make
>
> 	John
>
>   
Hi John,

I tried the above steps, but I still get the same error

============================================================
linux:~/Desktop/downloads/wireless card drivers for 
Linux/iwlwifi-1.0.0-1 # /bin/bash
linux:~/Desktop/downloads/wireless card drivers for 
Linux/iwlwifi-1.0.0-1 # SHELL=/bin/bash
linux:~/Desktop/downloads/wireless card drivers for 
Linux/iwlwifi-1.0.0-1 # export SHELL
linux:~/Desktop/downloads/wireless card drivers for 
Linux/iwlwifi-1.0.0-1 # make
Makefile:20:
Makefile:21: WARNING: $SHELL not set to bash.
Makefile:22: If you experience build errors, try
Makefile:23: 'make SHELL=/bin/bash'.
Makefile:24:
Kernel Makefile not found at '/lib/modules/2.6.13-15.16-smp/source'
make: *** [compatible/kversion] Error 1
linux:~/Desktop/downloads/wireless card drivers for 
Linux/iwlwifi-1.0.0-1 # ls
.        FILES     ISSUES       LICENSE.GPL     dvals   patches
..       GIT_SHA1  LICENSE      Makefile        load    scripts
CHANGES  INSTALL   LICENSE.BSD  README.iwlwifi  origin  unload
*linux:~/Desktop/downloads/wireless card drivers for 
Linux/iwlwifi-1.0.0-1 # make SHELL=/bin/bash
Kernel Makefile not found at '/lib/modules/2.6.13-15.16-smp/source'
make: *** [compatible/kversion] Error 1*
===================================


Thanks

--Afroze




More information about the svlug mailing list